package org.gcube.portlets.user.geoportaldataviewer.client;

import org.gcube.portlets.user.geoportaldataviewer.client.gis.OpenLayersMapParameters;

public class GeoportalDataViewerConstants {

	public static final String EPSG_4326 = "EPSG:4326";
	public static final String EPSG_3857 = "EPSG:3857";

	public static final String MAP_DIV = "map";
	
	public static final String GET_WMS_PARAMETER = "wmsrequest";
	public static final String GET_UUID_PARAMETER = "uuid";
	public static final String GET_LAYER_TITLE = "layertitle";
	public static final String GET_MAX_ZOOM_LEVEL = OpenLayersMapParameters.OL_MAP_PARAM.maxzoomlevel.name();
	public static final String GET_ZOOM = OpenLayersMapParameters.OL_MAP_PARAM.zoom.name();
	public static final String GET_CENTER_MAP_TO_LONG_LAT = OpenLayersMapParameters.OL_MAP_PARAM.centermap.name();
	
	public enum LayerType {RASTER_BASELAYER, FEATURE_TYPE};
	
	public static final int MAX_WFS_FEATURES = 5; // zero for no limit
	
	public static final String NEW_LINE_BR = "<br/>";

}
