package org.gcube.portlets.user.geoportaldataviewer.client.events;

import org.gcube.portlets.user.geoportaldataviewer.shared.ProductType;
import org.gcube.portlets.user.geoportaldataviewer.shared.gis.wfs.FeatureRow;

import com.google.gwt.event.shared.GwtEvent;

/**
 * The Class QueryDataEvent.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Oct 29, 2020
 */
public class ShowDetailsEvent extends GwtEvent<ShowDetailsEventHandler> {
	public static Type<ShowDetailsEventHandler> TYPE = new Type<ShowDetailsEventHandler>();
	private ProductType productType;
	private FeatureRow featureRow;

	/**
	 * Instantiates a new table row selected event.
	 * @param coordinate 
	 */
	public ShowDetailsEvent(ProductType productType, FeatureRow row) {
		this.productType = productType;
		this.featureRow = row;

	}

	/**
	 * Gets the associated type.
	 *
	 * @return the associated type
	 */
	@Override
	public Type<ShowDetailsEventHandler> getAssociatedType() {
		return TYPE;
	}

	/**
	 * Dispatch.
	 *
	 * @param handler the handler
	 */
	@Override
	protected void dispatch(ShowDetailsEventHandler handler) {
		handler.onShowDetails(this);

	}
	
	public ProductType getProductType() {
		return productType;
	}
	
	public FeatureRow getFeatureRow() {
		return featureRow;
	}
}