package org.gcube.portlets.user.geoportaldataviewer.shared;

import java.io.Serializable;
import java.util.List;

import org.gcube.portlets.user.geoportaldataviewer.shared.gis.LayerItem;
import org.gcube.portlets.user.geoportaldataviewer.shared.gis.wfs.FeatureRow;
import org.gcube.portlets.user.geoportaldataviewer.shared.products.ConcessioneDV;


/**
 * The Class GeoNaDataObject.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Oct 29, 2020
 */
public class GeoNaDataObject implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 5566069859060851625L;
	/** The form data entry fields. */
	private List<FeatureRow> features;
	private ProductType productType;
	private LayerItem layerItem;
	private ConcessioneDV concessioneDV;
	
	/**
	 * Instantiates a new geo na data object.
	 */
	public GeoNaDataObject(){
		
	}

	public List<FeatureRow> getFeatures() {
		return features;
	}

	public void setFeatures(List<FeatureRow> features) {
		this.features = features;
	}

	public ProductType getProductType() {
		return productType;
	}

	public void setProductType(ProductType productType) {
		this.productType = productType;
	}

	public LayerItem getLayerItem() {
		return layerItem;
	}

	public void setLayerItem(LayerItem layerItem) {
		this.layerItem = layerItem;
	}

	public ConcessioneDV getConcessioneDV() {
		return concessioneDV;
	}

	public void setConcessioneDV(ConcessioneDV concessioneDV) {
		this.concessioneDV = concessioneDV;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("GeoNaDataObject [features=");
		builder.append(features);
		builder.append(", productType=");
		builder.append(productType);
		builder.append(", layerItem=");
		builder.append(layerItem);
		builder.append(", concessioneDV=");
		builder.append(concessioneDV);
		builder.append("]");
		return builder.toString();
	}
	
	
}
