package org.gcube.portlets.user.geoportaldataviewer.shared.products.model;

import java.io.Serializable;
import java.util.List;

import org.gcube.portlets.user.geoportaldataviewer.shared.products.content.AssociatedContentDV;

/**
 * The Class RelazioneScavo.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 *         Nov 2, 2020
 */
public class RelazioneScavoDV extends AssociatedContentDV implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2456950567302197554L;

	/** The abstract section. */
	private String abstractSection;

	/** The responsabili. */
	private List<String> responsabili;

	/** The soggetto. */
	private List<String> soggetto;

	public RelazioneScavoDV() {

	}

	public RelazioneScavoDV(String abstractSection, List<String> responsabili, List<String> soggetto) {
		super();
		this.abstractSection = abstractSection;
		this.responsabili = responsabili;
		this.soggetto = soggetto;
	}

	public String getAbstractSection() {
		return abstractSection;
	}

	public void setAbstractSection(String abstractSection) {
		this.abstractSection = abstractSection;
	}

	public List<String> getResponsabili() {
		return responsabili;
	}

	public void setResponsabili(List<String> responsabili) {
		this.responsabili = responsabili;
	}

	public List<String> getSoggetto() {
		return soggetto;
	}

	public void setSoggetto(List<String> soggetto) {
		this.soggetto = soggetto;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("RelazioneScavo [abstractSection=");
		builder.append(abstractSection);
		builder.append(", responsabili=");
		builder.append(responsabili);
		builder.append(", soggetto=");
		builder.append(soggetto);
		builder.append("]");
		return builder.toString();
	}

}
